#!/usr/bin/env python
# -*- coding: utf-8 -*-
# generated by wxGlade HG on Wed Oct 10 10:27:45 2012

import wx

import vespa.common.wx_gravy.util
from wx.lib.agw.floatspin import FloatSpin, EVT_FLOATSPIN, FS_LEFT, FS_RIGHT, FS_CENTRE, FS_READONLY

# begin wxGlade: extracode
# end wxGlade



class PanelRawMuellerUI(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: PanelRawMuellerUI.__init__
        kwds["style"] = wx.TAB_TRAVERSAL
        wx.Panel.__init__(self, *args, **kwds)
        self.WindowSplitter = wx.SplitterWindow(self, -1, style=wx.SP_3D|wx.SP_BORDER)
        self.PanelRawMueller = wx.Panel(self.WindowSplitter, -1)
        self.SpinFidIndex = wx.SpinCtrl(self.PanelRawMueller, -1, "", min=0, max=100)
        self.SpinStateIndex = wx.SpinCtrl(self.PanelRawMueller, -1, "", min=0, max=100)
        self.SpinCoilIndex = wx.SpinCtrl(self.PanelRawMueller, -1, "", min=0, max=100)
        self.SpinNumberOfStates = wx.SpinCtrl(self.PanelRawMueller, -1, "0", min=1, max=1)
        self.SpinNumberOfCoils = wx.SpinCtrl(self.PanelRawMueller, -1, "0", min=1, max=1)
        self.ButtonUpdate = wx.Button(self.PanelRawMueller, -1, " Update ")
        self.sizer_6_staticbox = wx.StaticBox(self.PanelRawMueller, -1, "Data Description")
        self.PanelCoilCombination = wx.Panel(self.PanelRawMueller, -1)
        self.ComboCoilCombineMethod = wx.ComboBox(self.PanelCoilCombination, -1, choices=["Simple Sum", "Weighted Sum"], style=wx.CB_DROPDOWN|wx.CB_READONLY)
        self.SpinFidsToIgnore = wx.SpinCtrl(self.PanelCoilCombination, -1, "", min=0, max=100)
        self.sizer_7_staticbox = wx.StaticBox(self.PanelRawMueller, -1, "Coil Combination")
        self.FloatReferencePeakCenter = FloatSpin(self.PanelRawMueller, -1, agwStyle=FS_LEFT)
        self.FloatPeakSearchWidth = FloatSpin(self.PanelRawMueller, -1, agwStyle=FS_LEFT)
        self.FloatGaussianApodization = FloatSpin(self.PanelRawMueller, -1, agwStyle=FS_LEFT)
        self.FloatPeakShiftValue = FloatSpin(self.PanelRawMueller, -1, agwStyle=FS_LEFT)
        self.sizer_9_staticbox = wx.StaticBox(self.PanelRawMueller, -1, "Peak Alignment ")
        self.window_1_pane_2 = wx.Panel(self.WindowSplitter, -1)
        self.PanelViewRawSummed = wx.Panel(self.window_1_pane_2, -1)
        self.sizer_4_staticbox = wx.StaticBox(self.window_1_pane_2, -1, "")

        self.__set_properties()
        self.__do_layout()

        self.Bind(wx.EVT_SPINCTRL, self.on_fid_index, self.SpinFidIndex)
        self.Bind(wx.EVT_SPINCTRL, self.on_state_index, self.SpinStateIndex)
        self.Bind(wx.EVT_SPINCTRL, self.on_coil_index, self.SpinCoilIndex)
        self.Bind(wx.EVT_SPINCTRL, self.on_number_of_states, self.SpinNumberOfStates)
        self.Bind(wx.EVT_SPINCTRL, self.on_number_of_coils, self.SpinNumberOfCoils)
        self.Bind(wx.EVT_BUTTON, self.on_update, self.ButtonUpdate)
        self.Bind(wx.EVT_COMBOBOX, self.on_coil_combine_method, self.ComboCoilCombineMethod)
        self.Bind(wx.EVT_SPINCTRL, self.on_fids_to_ignore, self.SpinFidsToIgnore)
        self.Bind(EVT_FLOATSPIN, self.on_reference_peak_center, self.FloatReferencePeakCenter)
        self.Bind(EVT_FLOATSPIN, self.on_peak_search_width, self.FloatPeakSearchWidth)
        self.Bind(EVT_FLOATSPIN, self.on_gaussian_apodization, self.FloatGaussianApodization)
        self.Bind(EVT_FLOATSPIN, self.on_peak_shift_value, self.FloatPeakShiftValue)
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: PanelRawMuellerUI.__set_properties
        self.ButtonUpdate.Enable(False)
        self.ComboCoilCombineMethod.SetSelection(1)
        self.PanelCoilCombination.Enable(False)
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: PanelRawMuellerUI.__do_layout
        sizer_3 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_4_staticbox.Lower()
        sizer_4 = wx.StaticBoxSizer(self.sizer_4_staticbox, wx.HORIZONTAL)
        sizer_1 = wx.BoxSizer(wx.VERTICAL)
        sizer_10 = wx.BoxSizer(wx.HORIZONTAL)
        self.sizer_9_staticbox.Lower()
        sizer_9 = wx.StaticBoxSizer(self.sizer_9_staticbox, wx.VERTICAL)
        grid_sizer_1 = wx.FlexGridSizer(2, 4, 4, 4)
        self.sizer_7_staticbox.Lower()
        sizer_7 = wx.StaticBoxSizer(self.sizer_7_staticbox, wx.VERTICAL)
        sizer_8 = wx.BoxSizer(wx.HORIZONTAL)
        self.sizer_6_staticbox.Lower()
        sizer_6 = wx.StaticBoxSizer(self.sizer_6_staticbox, wx.HORIZONTAL)
        sizer_5 = wx.BoxSizer(wx.HORIZONTAL)
        label_1 = wx.StaticText(self.PanelRawMueller, -1, "FID index:")
        sizer_5.Add(label_1, 0, wx.LEFT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_5.Add(self.SpinFidIndex, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        label_2 = wx.StaticText(self.PanelRawMueller, -1, "State index:")
        sizer_5.Add(label_2, 0, wx.LEFT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 6)
        sizer_5.Add(self.SpinStateIndex, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        label_3 = wx.StaticText(self.PanelRawMueller, -1, "Coil index:")
        sizer_5.Add(label_3, 0, wx.LEFT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 6)
        sizer_5.Add(self.SpinCoilIndex, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_1.Add(sizer_5, 0, wx.ALL|wx.EXPAND, 8)
        label_4 = wx.StaticText(self.PanelRawMueller, -1, "Number of Data States:")
        sizer_6.Add(label_4, 0, wx.RIGHT|wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_6.Add(self.SpinNumberOfStates, 0, wx.ALIGN_CENTER_VERTICAL, 4)
        label_5 = wx.StaticText(self.PanelRawMueller, -1, "Number of Coils:")
        sizer_6.Add(label_5, 0, wx.LEFT|wx.ALIGN_CENTER_VERTICAL, 8)
        sizer_6.Add(self.SpinNumberOfCoils, 0, wx.LEFT|wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_6.Add(self.ButtonUpdate, 0, wx.LEFT, 8)
        sizer_1.Add(sizer_6, 0, wx.ALL|wx.EXPAND, 4)
        label_6 = wx.StaticText(self.PanelCoilCombination, -1, "Combine method:")
        sizer_8.Add(label_6, 0, wx.RIGHT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_8.Add(self.ComboCoilCombineMethod, 0, wx.RIGHT|wx.ALIGN_CENTER_VERTICAL, 8)
        label_7 = wx.StaticText(self.PanelCoilCombination, -1, "Initial FIDs to ignore:")
        sizer_8.Add(label_7, 0, wx.RIGHT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_8.Add(self.SpinFidsToIgnore, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        self.PanelCoilCombination.SetSizer(sizer_8)
        sizer_7.Add(self.PanelCoilCombination, 1, wx.EXPAND, 0)
        sizer_1.Add(sizer_7, 0, wx.ALL|wx.EXPAND, 4)
        label_8 = wx.StaticText(self.PanelRawMueller, -1, "Reference peak center [ppm]:")
        grid_sizer_1.Add(label_8, 0, wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 0)
        grid_sizer_1.Add(self.FloatReferencePeakCenter, 1, wx.EXPAND|wx.ALIGN_CENTER_VERTICAL, 0)
        label_9 = wx.StaticText(self.PanelRawMueller, -1, "Peak search width [+/- ppm]:")
        grid_sizer_1.Add(label_9, 0, wx.LEFT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 8)
        grid_sizer_1.Add(self.FloatPeakSearchWidth, 1, wx.EXPAND|wx.ALIGN_CENTER_VERTICAL, 0)
        label_10 = wx.StaticText(self.PanelRawMueller, -1, "Gaussian apodization[Hz]:")
        grid_sizer_1.Add(label_10, 0, wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 0)
        grid_sizer_1.Add(self.FloatGaussianApodization, 1, wx.EXPAND|wx.ALIGN_CENTER_VERTICAL, 0)
        label_11 = wx.StaticText(self.PanelRawMueller, -1, "Peak shift value [Hz]:")
        grid_sizer_1.Add(label_11, 0, wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 0)
        grid_sizer_1.Add(self.FloatPeakShiftValue, 0, wx.EXPAND|wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_9.Add(grid_sizer_1, 1, wx.EXPAND, 0)
        sizer_1.Add(sizer_9, 0, wx.ALL|wx.EXPAND, 4)
        sizer_1.Add(sizer_10, 0, wx.ALL|wx.EXPAND, 4)
        self.PanelRawMueller.SetSizer(sizer_1)
        sizer_4.Add(self.PanelViewRawSummed, 1, wx.EXPAND, 0)
        self.window_1_pane_2.SetSizer(sizer_4)
        self.WindowSplitter.SplitVertically(self.PanelRawMueller, self.window_1_pane_2)
        sizer_3.Add(self.WindowSplitter, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_3)
        sizer_3.Fit(self)
        # end wxGlade

    def on_fid_index(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_fid_index' not implemented!"
        event.Skip()

    def on_state_index(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_state_index' not implemented!"
        event.Skip()

    def on_coil_index(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_coil_index' not implemented!"
        event.Skip()

    def on_number_of_states(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_number_of_states' not implemented!"
        event.Skip()

    def on_number_of_coils(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_number_of_coils' not implemented!"
        event.Skip()

    def on_update(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_update' not implemented!"
        event.Skip()

    def on_coil_combine_method(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_coil_combine_method' not implemented!"
        event.Skip()

    def on_fids_to_ignore(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_fids_to_ignore' not implemented!"
        event.Skip()

    def on_reference_peak_center(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_reference_peak_center' not implemented!"
        event.Skip()

    def on_peak_search_width(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_peak_search_width' not implemented!"
        event.Skip()

    def on_gaussian_apodization(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_gaussian_apodization' not implemented!"
        event.Skip()

    def on_peak_shift_value(self, event): # wxGlade: PanelRawMuellerUI.<event_handler>
        print "Event handler `on_peak_shift_value' not implemented!"
        event.Skip()

# end of class PanelRawMuellerUI


class MyFrame1(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: MyFrame1.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        self.PanelRawMuellerUI = PanelRawMuellerUI(self, -1)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: MyFrame1.__set_properties
        self.SetTitle("frame_2")
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: MyFrame1.__do_layout
        sizer_2 = wx.BoxSizer(wx.VERTICAL)
        sizer_2.Add(self.PanelRawMuellerUI, 1, wx.ALL|wx.EXPAND, 4)
        self.SetSizer(sizer_2)
        sizer_2.Fit(self)
        self.Layout()
        # end wxGlade

# end of class MyFrame1


if __name__ == "__main__":
    app = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    frame_2 = MyFrame1(None, -1, "")
    app.SetTopWindow(frame_2)
    frame_2.Show()
    app.MainLoop()
