#!/usr/bin/env python
# -*- coding: utf-8 -*-
# generated by wxGlade HG on Wed Nov 23 14:47:19 2011

import wx

import vespa.common.wx_gravy.util
from wx.lib.agw.floatspin import FloatSpin, EVT_FLOATSPIN, FS_LEFT, FS_RIGHT, FS_CENTRE, FS_READONLY

# begin wxGlade: extracode
# end wxGlade



class PanelRootReflect(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: PanelRootReflect.__init__
        kwds["style"] = wx.TAB_TRAVERSAL
        wx.Panel.__init__(self, *args, **kwds)
        self.ComboPlotSelection = wx.ComboBox(self, -1, choices=["A Polynomial Roots", "A+B Polynomial Roots"], style=wx.CB_DROPDOWN|wx.CB_READONLY)
        self.ButtonResetRoots = wx.Button(self, -1, "Reset Roots")
        self.FloatMaxRadius = FloatSpin(self, -1, value=2.0, increment=0.25, digits=2, agwStyle=FS_LEFT)
        self.FloatGraphAngle = FloatSpin(self, -1, agwStyle=FS_LEFT)
        self.PanelPlotSection = wx.Panel(self, -1)
        self.CheckAutoUpdate = wx.CheckBox(self, -1, "Automatic Update")

        self.__set_properties()
        self.__do_layout()

        self.Bind(wx.EVT_COMBOBOX, self.on_plot_selection, self.ComboPlotSelection)
        self.Bind(wx.EVT_BUTTON, self.on_reset_roots, self.ButtonResetRoots)
        self.Bind(EVT_FLOATSPIN, self.on_max_radius, self.FloatMaxRadius)
        self.Bind(EVT_FLOATSPIN, self.on_graph_angle, self.FloatGraphAngle)
        self.Bind(wx.EVT_CHECKBOX, self.on_auto_update, self.CheckAutoUpdate)
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: PanelRootReflect.__set_properties
        self.ComboPlotSelection.SetSelection(0)
        self.CheckAutoUpdate.SetValue(1)
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: PanelRootReflect.__do_layout
        sizer_4 = wx.BoxSizer(wx.VERTICAL)
        sizer_5 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_1 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_7 = wx.BoxSizer(wx.HORIZONTAL)
        label_1 = wx.StaticText(self, -1, "Root Reflection Tranformation (for B1 Pulses only)")
        sizer_4.Add(label_1, 0, wx.ALL|wx.ALIGN_CENTER_HORIZONTAL|wx.ALIGN_CENTER_VERTICAL, 8)
        label_2 = wx.StaticText(self, -1, "Plot Display")
        sizer_7.Add(label_2, 0, wx.ALL|wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_7.Add(self.ComboPlotSelection, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_7.Add(self.ButtonResetRoots, 0, wx.LEFT|wx.ALIGN_CENTER_VERTICAL, 20)
        sizer_4.Add(sizer_7, 0, wx.ALL|wx.EXPAND, 3)
        label_3 = wx.StaticText(self, -1, "Max Radius")
        sizer_1.Add(label_3, 0, wx.ALL|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_1.Add(self.FloatMaxRadius, 0, wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 0)
        label_4 = wx.StaticText(self, -1, "Graph Angle")
        sizer_1.Add(label_4, 0, wx.LEFT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 9)
        sizer_1.Add(self.FloatGraphAngle, 0, wx.LEFT|wx.RIGHT|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_4.Add(sizer_1, 0, wx.ALL|wx.EXPAND, 3)
        sizer_4.Add(self.PanelPlotSection, 1, wx.EXPAND, 0)
        sizer_5.Add(self.CheckAutoUpdate, 0, wx.LEFT|wx.RIGHT|wx.ALIGN_CENTER_VERTICAL, 6)
        sizer_4.Add(sizer_5, 0, wx.ALL|wx.ALIGN_CENTER_HORIZONTAL|wx.ALIGN_CENTER_VERTICAL, 9)
        self.SetSizer(sizer_4)
        sizer_4.Fit(self)
        # end wxGlade

    def on_plot_selection(self, event): # wxGlade: PanelRootReflect.<event_handler>
        print "Event handler `on_plot_selection' not implemented!"
        event.Skip()

    def on_reset_roots(self, event): # wxGlade: PanelRootReflect.<event_handler>
        print "Event handler `on_reset_roots' not implemented!"
        event.Skip()

    def on_max_radius(self, event): # wxGlade: PanelRootReflect.<event_handler>
        print "Event handler `on_max_radius' not implemented!"
        event.Skip()

    def on_graph_angle(self, event): # wxGlade: PanelRootReflect.<event_handler>
        print "Event handler `on_graph_angle' not implemented!"
        event.Skip()

    def on_auto_update(self, event): # wxGlade: PanelRootReflect.<event_handler>
        print "Event handler `on_auto_update' not implemented!"
        event.Skip()

# end of class PanelRootReflect


class MyFrame(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: MyFrame.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        self.PanelRootReflect = PanelRootReflect(self, -1)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: MyFrame.__set_properties
        self.SetTitle("frame_1")
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: MyFrame.__do_layout
        sizer_2 = wx.BoxSizer(wx.VERTICAL)
        sizer_2.Add(self.PanelRootReflect, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_2)
        sizer_2.Fit(self)
        self.Layout()
        # end wxGlade

# end of class MyFrame


if __name__ == "__main__":
    app = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    frame_1 = MyFrame(None, -1, "")
    app.SetTopWindow(frame_1)
    frame_1.Show()
    app.MainLoop()
