#!/usr/bin/env python
# -*- coding: utf-8 -*-
# generated by wxGlade HG on Wed Sep 19 11:47:18 2012

import wx

import vespa.common.wx_gravy.util
from wx.lib.agw.floatspin import FloatSpin, EVT_FLOATSPIN, FS_LEFT, FS_RIGHT, FS_CENTRE, FS_READONLY

# begin wxGlade: extracode
# end wxGlade


class VisualizeUI(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: VisualizeUI.__init__
        kwds["style"] = wx.TAB_TRAVERSAL
        wx.Panel.__init__(self, *args, **kwds)
        self.ChoiceDisplayMode = wx.Choice(self, wx.ID_ANY, choices=[])
        self.FloatXaxisMax = FloatSpin(self, wx.ID_ANY, value=999.0, increment=0.1, digits=3, agwStyle=FS_CENTRE)
        self.FloatXaxisMin = FloatSpin(self, wx.ID_ANY, value=-999.0, increment=0.1, digits=3, agwStyle=FS_CENTRE)
        self.sizer_29_staticbox = wx.StaticBox(self, wx.ID_ANY, "X-Axis [PPM]")
        self.FloatCursorMax = FloatSpin(self, wx.ID_ANY, value=999.0, increment=0.1, digits=3, agwStyle=FS_CENTRE)
        self.FloatCursorMin = FloatSpin(self, wx.ID_ANY, value=-998.0, increment=0.1, digits=3, agwStyle=FS_CENTRE)
        self.sizer_30_staticbox = wx.StaticBox(self, wx.ID_ANY, "Cursor Values [PPM]")
        self.panel_loop1_controls = wx.Panel(self, wx.ID_ANY)
        self.SpinIndex1 = wx.SpinCtrl(self.panel_loop1_controls, wx.ID_ANY, "", min=0, max=100000)
        self.LabelLoop1Label = wx.StaticText(self.panel_loop1_controls, wx.ID_ANY, "Label")
        self.LabelIndex1Value = wx.StaticText(self.panel_loop1_controls, wx.ID_ANY, "Value")
        self.panel_loop2_controls = wx.Panel(self, wx.ID_ANY)
        self.SpinIndex2 = wx.SpinCtrl(self.panel_loop2_controls, wx.ID_ANY, "", min=0, max=100000)
        self.LabelLoop2Label = wx.StaticText(self.panel_loop2_controls, wx.ID_ANY, "Label")
        self.LabelIndex2Value = wx.StaticText(self.panel_loop2_controls, wx.ID_ANY, "Value")
        self.panel_loop3_controls = wx.Panel(self, wx.ID_ANY)
        self.SpinIndex3 = wx.SpinCtrl(self.panel_loop3_controls, wx.ID_ANY, "", min=0, max=100000)
        self.LabelLoop3Label = wx.StaticText(self.panel_loop3_controls, wx.ID_ANY, "Label")
        self.LabelIndex3Value = wx.StaticText(self.panel_loop3_controls, wx.ID_ANY, "Value")
        self.label_14 = wx.StaticText(self, wx.ID_ANY, " Metabolites to Plot  ")
        self.CheckSumPlots = wx.CheckBox(self, wx.ID_ANY, "Sum Plots   ")
        self.ListPlotMetabolites = wx.ListBox(self, wx.ID_ANY, choices=[], style=wx.LB_EXTENDED)
        self.CheckGrayscale = wx.CheckBox(self, wx.ID_ANY, "Grayscale")
        self.SpinContourLevels = wx.SpinCtrl(self, wx.ID_ANY, "1", min=1, max=50)
        self.ChoiceContourMode = wx.Choice(self, wx.ID_ANY, choices=["Contour Index 1+2", "Contour Index 1+3", "Contour Index 2+3"])
        self.sizer_5_staticbox = wx.StaticBox(self, wx.ID_ANY, "Contour Plot")
        self.buttonResolution = wx.Button(self, wx.ID_ANY, "Set Resolution...")
        self.FloatLinewidth = FloatSpin(self, wx.ID_ANY, min_val=0.0, max_val= 100.0, agwStyle=FS_CENTRE)
        self.sizer_6_staticbox = wx.StaticBox(self, wx.ID_ANY, "Basis Function Parameters")
        self.sizer_3_staticbox = wx.StaticBox(self, wx.ID_ANY, "Main Plot")
        self.ButtonAsciiText = wx.Button(self, wx.ID_ANY, "ASCII Display")

        self.__set_properties()
        self.__do_layout()

        self.Bind(wx.EVT_CHOICE, self.on_display_mode, self.ChoiceDisplayMode)
        self.Bind(EVT_FLOATSPIN, self.on_xaxis_max, self.FloatXaxisMax)
        self.Bind(EVT_FLOATSPIN, self.on_xaxis_min, self.FloatXaxisMin)
        self.Bind(EVT_FLOATSPIN, self.on_cursor_max, self.FloatCursorMax)
        self.Bind(EVT_FLOATSPIN, self.on_cursor_min, self.FloatCursorMin)
        self.Bind(wx.EVT_SPINCTRL, self.on_index1, self.SpinIndex1)
        self.Bind(wx.EVT_SPINCTRL, self.on_index2, self.SpinIndex2)
        self.Bind(wx.EVT_SPINCTRL, self.on_index3, self.SpinIndex3)
        self.Bind(wx.EVT_CHECKBOX, self.on_sum_plots, self.CheckSumPlots)
        self.Bind(wx.EVT_LISTBOX, self.on_metabolites, self.ListPlotMetabolites)
        self.Bind(wx.EVT_CHECKBOX, self.on_grayscale, self.CheckGrayscale)
        self.Bind(wx.EVT_SPINCTRL, self.on_contour_levels, self.SpinContourLevels)
        self.Bind(wx.EVT_CHOICE, self.on_contour_mode, self.ChoiceContourMode)
        self.Bind(wx.EVT_BUTTON, self.on_resolution, self.buttonResolution)
        self.Bind(EVT_FLOATSPIN, self.on_linewidth, self.FloatLinewidth)
        self.Bind(wx.EVT_BUTTON, self.on_ascii_display, self.ButtonAsciiText)
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: VisualizeUI.__set_properties
        self.SetMinSize((350,-1))
        self.FloatXaxisMax.SetMinSize((80, -1))
        self.FloatXaxisMin.SetMinSize((80, -1))
        self.FloatCursorMax.SetMinSize((80, -1))
        self.FloatCursorMin.SetMinSize((80, -1))
        self.SpinIndex1.SetMinSize((80, -1))
        self.SpinIndex2.SetMinSize((80, -1))
        self.SpinIndex3.SetMinSize((80, -1))
        self.ListPlotMetabolites.SetMinSize((-1, 40))
        self.SpinContourLevels.SetMinSize((70, -1))
        self.ChoiceContourMode.SetSelection(0)
        self.FloatLinewidth.SetMinSize((80, -1))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: VisualizeUI.__do_layout
        sizer_2 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_3_staticbox.Lower()
        sizer_3 = wx.StaticBoxSizer(self.sizer_3_staticbox, wx.VERTICAL)
        sizer_24 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_6_staticbox.Lower()
        sizer_6 = wx.StaticBoxSizer(self.sizer_6_staticbox, wx.VERTICAL)
        sizer_23 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_22 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_24_copy = wx.BoxSizer(wx.VERTICAL)
        self.sizer_5_staticbox.Lower()
        sizer_5 = wx.StaticBoxSizer(self.sizer_5_staticbox, wx.VERTICAL)
        sizer_17 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_14 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_7 = wx.BoxSizer(wx.VERTICAL)
        sizer_13 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_16 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_123 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_12 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_11 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_10 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_30_staticbox.Lower()
        sizer_30 = wx.StaticBoxSizer(self.sizer_30_staticbox, wx.HORIZONTAL)
        self.sizer_29_staticbox.Lower()
        sizer_29 = wx.StaticBoxSizer(self.sizer_29_staticbox, wx.HORIZONTAL)
        sizer_8 = wx.BoxSizer(wx.HORIZONTAL)
        label_1 = wx.StaticText(self, wx.ID_ANY, " Display Mode  ")
        sizer_8.Add(label_1, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_8.Add(self.ChoiceDisplayMode, 0, wx.EXPAND, 0)
        sizer_7.Add(sizer_8, 0, wx.TOP | wx.BOTTOM | wx.EXPAND, 5)
        label_2 = wx.StaticText(self, wx.ID_ANY, "Max", style=wx.ALIGN_RIGHT)
        sizer_29.Add(label_2, 0, wx.ALL | wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_29.Add(self.FloatXaxisMax, 1, wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 0)
        label_3 = wx.StaticText(self, wx.ID_ANY, "Min", style=wx.ALIGN_RIGHT)
        sizer_29.Add(label_3, 0, wx.ALL | wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_29.Add(self.FloatXaxisMin, 1, wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_10.Add(sizer_29, 1, wx.EXPAND | wx.ALIGN_CENTER_VERTICAL, 0)
        label_4 = wx.StaticText(self, wx.ID_ANY, "Max", style=wx.ALIGN_RIGHT)
        sizer_30.Add(label_4, 0, wx.ALL | wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_30.Add(self.FloatCursorMax, 1, wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 0)
        label_5 = wx.StaticText(self, wx.ID_ANY, "Min", style=wx.ALIGN_RIGHT)
        sizer_30.Add(label_5, 0, wx.ALL | wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_30.Add(self.FloatCursorMin, 1, wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_10.Add(sizer_30, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_10, 0, wx.EXPAND, 0)
        label_23 = wx.StaticText(self.panel_loop1_controls, wx.ID_ANY, "Loop1 index:")
        sizer_11.Add(label_23, 0, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 5)
        sizer_11.Add(self.SpinIndex1, 0, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 2)
        sizer_11.Add(self.LabelLoop1Label, 0, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 5)
        sizer_11.Add(self.LabelIndex1Value, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        self.panel_loop1_controls.SetSizer(sizer_11)
        sizer_7.Add(self.panel_loop1_controls, 0, wx.TOP | wx.EXPAND, 5)
        label_24 = wx.StaticText(self.panel_loop2_controls, wx.ID_ANY, "Loop2 index:")
        sizer_12.Add(label_24, 0, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 5)
        sizer_12.Add(self.SpinIndex2, 0, wx.LEFT, 2)
        sizer_12.Add(self.LabelLoop2Label, 0, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 5)
        sizer_12.Add(self.LabelIndex2Value, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        self.panel_loop2_controls.SetSizer(sizer_12)
        sizer_7.Add(self.panel_loop2_controls, 0, wx.EXPAND, 0)
        label_25 = wx.StaticText(self.panel_loop3_controls, wx.ID_ANY, "Loop3 index:")
        sizer_123.Add(label_25, 0, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 5)
        sizer_123.Add(self.SpinIndex3, 0, wx.LEFT, 2)
        sizer_123.Add(self.LabelLoop3Label, 0, wx.LEFT | wx.ALIGN_CENTER_VERTICAL, 5)
        sizer_123.Add(self.LabelIndex3Value, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        self.panel_loop3_controls.SetSizer(sizer_123)
        sizer_7.Add(self.panel_loop3_controls, 0, wx.EXPAND, 0)
        sizer_16.Add(self.label_14, 0, wx.RIGHT | wx.ALIGN_CENTER_HORIZONTAL | wx.ALIGN_CENTER_VERTICAL, 40)
        sizer_16.Add(self.CheckSumPlots, 0, wx.ALL | wx.EXPAND | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_7.Add(sizer_16, 0, wx.TOP | wx.EXPAND, 3)
        sizer_13.Add(self.ListPlotMetabolites, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_13, 1, wx.EXPAND, 0)
        sizer_3.Add(sizer_7, 1, wx.EXPAND, 0)
        sizer_14.Add(self.CheckGrayscale, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        label_10 = wx.StaticText(self, wx.ID_ANY, "  Levels: ")
        sizer_14.Add(label_10, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_14.Add(self.SpinContourLevels, 0, 0, 0)
        sizer_5.Add(sizer_14, 0, 0, 0)
        label_110 = wx.StaticText(self, wx.ID_ANY, "  Dimensions: ")
        sizer_17.Add(label_110, 0, wx.ALL | wx.ALIGN_CENTER_VERTICAL, 4)
        sizer_17.Add(self.ChoiceContourMode, 0, wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_5.Add(sizer_17, 0, 0, 0)
        sizer_24_copy.Add(sizer_5, 0, wx.EXPAND, 0)
        sizer_24.Add(sizer_24_copy, 0, wx.EXPAND, 0)
        sizer_23.Add(self.buttonResolution, 0, wx.ALL | wx.ALIGN_CENTER_HORIZONTAL | wx.ALIGN_CENTER_VERTICAL, 3)
        label_11 = wx.StaticText(self, wx.ID_ANY, "Line Width [Hz]:", style=wx.ALIGN_RIGHT)
        sizer_22.Add(label_11, 0, wx.RIGHT | wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 5)
        sizer_22.Add(self.FloatLinewidth, 0, wx.ALIGN_RIGHT | wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_23.Add(sizer_22, 1, wx.ALL | wx.ALIGN_RIGHT, 3)
        sizer_6.Add(sizer_23, 0, wx.EXPAND | wx.ALIGN_RIGHT, 0)
        sizer_24.Add(sizer_6, 0, 0, 0)
        sizer_3.Add(sizer_24, 0, 0, 0)
        sizer_2.Add(sizer_3, 1, wx.EXPAND, 0)
        sizer_2.Add(self.ButtonAsciiText, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_2)
        # end wxGlade

    def on_display_mode(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_display_mode' not implemented!"
        event.Skip()

    def on_xaxis_max(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_xaxis_max' not implemented!"
        event.Skip()

    def on_xaxis_min(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_xaxis_min' not implemented!"
        event.Skip()

    def on_cursor_max(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_cursor_max' not implemented!"
        event.Skip()

    def on_cursor_min(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_cursor_min' not implemented!"
        event.Skip()

    def on_index1(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_index1' not implemented!"
        event.Skip()

    def on_index2(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_index2' not implemented!"
        event.Skip()

    def on_index3(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_index3' not implemented!"
        event.Skip()

    def on_sum_plots(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_sum_plots' not implemented!"
        event.Skip()

    def on_metabolites(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_metabolites' not implemented!"
        event.Skip()

    def on_grayscale(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_grayscale' not implemented!"
        event.Skip()

    def on_contour_levels(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_contour_levels' not implemented!"
        event.Skip()

    def on_contour_mode(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_contour_mode' not implemented!"
        event.Skip()

    def on_resolution(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_resolution' not implemented!"
        event.Skip()

    def on_linewidth(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_linewidth' not implemented!"
        event.Skip()

    def on_ascii_display(self, event):  # wxGlade: VisualizeUI.<event_handler>
        print "Event handler `on_ascii_display' not implemented!"
        event.Skip()

# end of class VisualizeUI

class VisualizeFrame(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: VisualizeFrame.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        self.VisualizeUI = VisualizeUI(self, wx.ID_ANY)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: VisualizeFrame.__set_properties
        self.SetTitle("frame_1")
        self.SetSize((762, 867))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: VisualizeFrame.__do_layout
        sizer_1 = wx.BoxSizer(wx.VERTICAL)
        sizer_1.Add(self.VisualizeUI, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_1)
        self.Layout()
        # end wxGlade

# end of class VisualizeFrame
if __name__ == "__main__":
    app = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    VisualizeFrame = VisualizeFrame(None, wx.ID_ANY, "")
    app.SetTopWindow(VisualizeFrame)
    VisualizeFrame.Show()
    app.MainLoop()
